// Machine generated IDispatch wrapper class(es) created with ClassWizard
/////////////////////////////////////////////////////////////////////////////
// IIApplication wrapper class

class IIApplication : public COleDispatchDriver
{
public:
	IIApplication() {}		// Calls COleDispatchDriver default constructor
	IIApplication(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IIApplication(const IIApplication& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	long InitSDK(LPCTSTR strLicense, LPCTSTR strProductKey, LPCTSTR strProductName, long hWnd);
	long ScanCard(LPCTSTR strFilename);
	long CalibrateScanner();
	void UnInitSDK();
	long ScanCardOnWnd(LPCTSTR strFilename, long hDrawWnd, long x1, long y1, long x2, long y2);
	long RecogCard(LPCTSTR strFilename, unsigned short wCharSet, long bWithHK, unsigned short wChineseOutputCharSet, long bShowEditDlg);
	long GetFieldType(long nIndex);
	long GetFieldCount();
	CString GetFieldString(long nIndex);
	unsigned short GetCharSetInSeq(unsigned long dwSeq);
	long GetCharSetCount();
	long SetMainCaller(long hWnd);
	long ScanPhoto(LPCTSTR strFilename);
	long IsMachineConnected(long* plConnected);
	long IsPaperOn(long* plPaperOn);
	long IsNeedCalibrate(long* plNeed);
	void SetFieldLayout(unsigned short wLayout);
	long GetActiveType(long* lType);
	long Duet_InitSDK(LPCTSTR strLicense, LPCTSTR strProductKey, LPCTSTR strProductName, long hWnd);
	long Duet_IsMachineConnected(long* plConnected);
	void Duet_ScanCard(BSTR* pVal);
	long Duet_SetPreviewHwnd(long hWnd);
	long Duet_StartPreview();
	long Duet_SetSecondaryCaller(long hWnd);
	long Duet_SetPreviewWndPos(long x, long y, long w, long h);
	long Duet_UnInitSDK();
	CString Duet_GetScanedCardBitMap(long dwCardID);
	long Duet_StopPreview();
	long RecogRect(LPCTSTR strFilename, unsigned short wCharSet, long bWithHK, unsigned short wChineseOutputCharSet, unsigned short x1, unsigned short y1, unsigned short x2, unsigned short y2);
	CString GetRectResult();
	long RecogDoubleSideCard(LPCTSTR strFrontFile, LPCTSTR strBackFile, unsigned short wFrontCharSet, unsigned short wBackCharSet, long bWithHK, unsigned short wChineseOutputCharSet, long bShowEditDlg);
	long SetCapture();
	void EnableCapitalizeName(long bEnable);
	long IsPaperJam(long* plPaperJam);
	long ScanCardtoMemoryOnWnd(long bFront, LPCTSTR strFilename, long hDrawWnd, long x1, long y1, long x2, long y2);
	long ScanCardtoMemory(long bFront, LPCTSTR strFilename);
	CString GetScannerPrpo(long nType);
	long InitSDKByKeyPro(LPCTSTR strProductKey, LPCTSTR strProductName, long hWnd);
    long DoCheckLocalRegisterFileOK(LPCTSTR strProductKey, LPCTSTR strProductName, long hWnd,LPCTSTR strFilePath);
	void Test();
};
